DELUGE-WEB(1)

NAME
deluge-web - A BitTorrent client web interface

SYNOPSIS
deluge-web [options]

DESCRIPTION
Deluge utilizes a client/server model, with deluged being the daemon process and deluge-web being used to launch an ajax web based user-interface.

By default deluge-web will run as a background daemon, use the -d option to run process in foreground. The default password is deluge and serves http://localhost:8112 web page.

OPTIONS

  Config Options

-c path, --config=path
    Set the config directory location.

  Web Options

-i ip_address, --interface=ip_address
    IP address for web server to listen on

-p port, --port=port
    Port for web server to listen on

-b path, --base=path
    Set the base path that the web ui is running on (proxying)

--ssl
    Forces the webserver to use ssl

--no-ssl
    Forces the webserver to disable ssl

  Logging Options

-l file, --logfile=file
    Output to specified logfile instead of stdout

-L loglevel, --loglevel=loglevel
    Set the log level (default is error): none, info, warning, error, debug

-q, --quiet
    Sets the log level to none, same as -L none

--logrotate[=max-size]
    Enable logfile rotation, with optional maximum logfile size, default: 2M (Logfile rotation count is 5)

--profile[=file]
    Profile with cProfile. Outputs to stdout unless a filename is specified

  Process Control Options:

-P file, --pidfile=file
    Pidfile to store the process id

-d, --do-not-daemonize
    Do not daemonize (fork) this process

-U, --user=user
    Change to this user on startup (Requires root)

-g, --group=group
    Change to this group on startup (Requires root)

  Help Options

-V, --version
    Show program's version number and exit.

-h, --help
    Show help message and exit.

SEE ALSO
deluge(1), deluged(1), deluge-console(1)

AUTHORS
Deluge Team: http://www.deluge-torrent.org